質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.53%

  • Ruby

    9211questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • MacOS(OSX)

    2292questions

    MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

  • Atom (テキストエディタ)

    637questions

Atomのautocomplete-rubyが機能しない

解決済

回答 1

投稿

  • 評価
  • クリップ 3
  • VIEW 4,893

ra-men

score 86

rbenvでrubyを切り替えて使用しているのですが、autocomplete-rubyの補完機能が動作しません。
どうすれば補完が効くようになるのでしょうか?
よろしくお願いいたします。

今の状態

ターミナル
$which rsense
/Users/ユーザーの名前/.rbenv/shims/rsense
*autocomplete-ruby設定のRsensePathと同じ


rubyの場所
/Users/ユーザーの名前/.rbenv/versions/2.3.1

バージョン
Atom: 1.14.3
autocomplete-ruby: 0.26

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+2

次の手順で、Rsenseが正常に動作しているかを確認してください。

  1. Atomを起動していない状態で、rsense startを実行する。
  2. 次のURLにアクセするとSinatraの画面が出るかを確認する。
    http://localhost:47367/
  3. /tmp/rsense.log にエラー等が無いかを確認する。

また、AtomのDeveloper Tools(Cmd+Alt+IまたはCtrl+Alt+Iで起動)で何かしらのエラーが出ていないかを確認してください。もし、rsense自体が正常に動作していないようであれば、下記を試してみてください。

手元で試したところ、Ruby 2.3系や2.4系では依存しているgemの関係で正常にRsenseが動作しないようです。JRubyで動作させるようにしてみてください。

  1. JREまたはJDKをインストールしておき、Javaが使えるようにしておく。
  2. rbenv insntall jruby-1.7.26を実行し、JRuby 1.7.26をインストールする。
  3. rbenv shell jruby-1.7.26を実行し、JRuby 1.7.26を使うように一時的に変更する。
  4. gem install rsenseを実行し、Rsenseをインストールする。
  5. rsense startで動作確認する。正常に動くようであればrsense stopで停止する。
  6. ターミナルを一度落とすか、rbenv shell 2.3.1等でRubyを元に戻し、Atomを起動する。
  7. Atomのautocomplete-rubyのSettingsでRsense Pathを下記に設定する。
    ~/.rbenv/versions/jruby-1.7.26/bin/rsense
  8. Atomを再起動する。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/02/26 15:21

    無事、補完が聞くようになりました。
    ご回答ありがとうございました。

    キャンセル

同じタグがついた質問を見る

  • Ruby

    9211questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • MacOS(OSX)

    2292questions

    MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

  • Atom (テキストエディタ)

    637questions